import { ViteSSG } from 'vite-ssg'
import App from './App.vue'
import { routes } from './routes'
// import './style.css'
import '@/assets/css/style.less'
import directives from './directives/index'
import i18n from './lang/index'
import store from './stores/index'

export const createApp = ViteSSG(App, {
	routes,
	base: import.meta.env.BASE_URL,
},
	({ app }) => {
		// 注册全局指令
		app.use(directives)
		app.use(store)
		app.use(i18n)
	}
)
